> For the complete documentation index, see [llms.txt](https://docs.getpurpledot.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getpurpledot.com/docs/purple-dot-apis/public-api/waitlists.md).

# /waitlists

#### [`GET /waitlists`](#get-waitlists) <a href="#get-waitlists" id="get-waitlists"></a>

Get all open Waitlists. Useful for determining which products have a Waitlist.

Request query parameters:

* `api_key` - Required. Your Purple Dot store's public API key

Response:

* `data` - An array containing all the open Waitlists
  * `id` - The Waitlist ID
  * `state` - one of:
    * `SCHEDULED` - to start selling pre-orders, stock levels and [Operations settings inside Purple Dot](https://www.purpledotprice.com/merchant-portal) permitting, from `launch_date`
    * `OPEN` - is now selling pre-orders, stock levels and Operations settings permitting
    * `PAUSED` - non terminal state, can be made `OPEN` in the future
    * `CLOSED` - terminal state, will not change again
  * `display_dispatch_date` - The Waitlist estimated shipping dates
  * `payment_plan_descriptions` - (platform integrations only, otherwise `null`) Shopper friendly description of your store's pre-order payment plan, if any
  * `selling_plan_id` - (Shopify app integrations only, otherwise `null`) The Shopify ID of the selling plan linked to this Waitlist
  * `is_scheduled` - If this Waitlist is yet to go live in your storefront
  * `launch_date`:  The date this Waitlist goes live in your storefront
  * `product` - An object containing the Waitlisted product
    * `id` - The ID of the product used by the connected store, e.g. Shopify `product.id`
    * `product_code` - The product code used by the connected store, e.g. Shopify `product.handle`

Examples:

```bash
curl --request GET \
  --url 'https://www.purpledotprice.com/api/v1/waitlists?api_key=<...>
```

{% code overflow="wrap" %}

```json
{
  "meta": {
    "result": "success"
  },
  "data": [
    {
      "id": "3bbc58c6-9a11-422f-9cf5-6a5ac8468eec",
      "state": "OPEN",
      "display_dispatch_date": "Shipping 10–15 Jun",
      "payment_plan_descriptions": null,
      "selling_plan_id": null,
      "product": {
        "id": "4697179062404",
        "product_code": "womens-white-sneakers"
      }
    }
  ]
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getpurpledot.com/docs/purple-dot-apis/public-api/waitlists.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
